Retrieve Entity and Risk Assessment
curl --request GET \
--url https://api.bitrace.io/api/v1/tracker/kya/entities-risks \
--header 'X-Access-Key: <api-key>'import requests
url = "https://api.bitrace.io/api/v1/tracker/kya/entities-risks"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.bitrace.io/api/v1/tracker/kya/entities-risks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 1,
"msg": "SUCCESS",
"data": {
"time": 1726117290776,
"address": "TNk8zE9iHPj8LExnLhRi8Ufs9zYbvgRc7n",
"network": "tron",
"whitelist": false,
"contract": false,
"entity": {
"entityName": "Bitget User",
"entityCode": "bitget-user",
"entityCategory": "Exchange",
"entityCategoryCode": "exchange"
},
"risks": [
{
"riskLevel": "generally-high",
"riskType": "launder-money",
"riskSource": "Bitrace"
},
{
"riskLevel": "generally-high",
"riskType": "black-gray-goods",
"riskSource": "Bitrace"
},
{
"riskLevel": "high",
"riskType": "online-gambling",
"riskSource": "Bitrace"
}
]
}
}{
"success": false,
"code": 123,
"msg": "<string>",
"status": "<string>"
}{
"success": false,
"code": 123,
"msg": "<string>",
"status": "<string>"
}{
"success": false,
"code": 123,
"msg": "<string>",
"status": "<string>"
}{
"success": false,
"code": 123,
"msg": "<string>",
"status": "<string>"
}KYA API
Retrieve Entity and Risk Assessment
getAddressEntityAndRisk - This endpoint retrieves entity and risk by given address.
GET
/
api
/
v1
/
tracker
/
kya
/
entities-risks
Retrieve Entity and Risk Assessment
Authorizations
API key authentication
Headers
Available options:
application/json Available options:
application/json Query Parameters
The address that you want to retrieve a entity for.
The supported chainns short name, ethereum tron btc bsc ... See at Supported Chains
Available options:
ethereum, eth, tron, btc, bsc, polygon, arbitrum, optimism, avalanche, base, zksync, merlin, kaia, iotex, ftm, theta, etc, lumia, solana, doge, ltc ⌘I